package com.gyee.runeconomy.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import org.springframework.data.annotation.Id;

//import javax.persistence.Column;
//import javax.persistence.Id;

@TableName("controlsettings")
public class AgcDeviateModel extends Model<AgcDeviateModel> {
    /**
     * 唯一ID
     */
    @Id
//    @Column(name = "ID")
    private String id;
    /**
     * key
     */
//    @Column(name = "KEY")
    private String key;
    /**
     * 时间戳
     */
//    @Column(name = "TIMESTAMP")
    private Long timestamp;
    /**
     * 说明，描述
     */
//    @Column(name = "DESCRIPTION")
    private String description;
    /**
     * 值
     */
//    @Column(name = "VALUE")
    private String value;

    /**
     * 是否是备份
     */
//    @Column(name = "BACKUP")
    private boolean backup;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public boolean getBackup() {
        return backup;
    }

    public void setBackup(boolean backup) {
        this.backup = backup;
    }

}
